module Api::V1::Issues::Concerns::Loadable 

  def load_assigners(assigner_ids)
    @assigners = User.where(id: assigner_ids)
  end

  def load_issue_tags(issue_tag_ids)
    @issue_tags = IssueTag.where(id: issue_tag_ids)
  end

  def load_attachments(attachment_ids)
    @attachments = Attachment.where("BINARY id in (?) or uuid in (?)", attachment_ids, attachment_ids)
  end

  def load_atme_receivers(receivers_login)
    @atme_receivers = User.where(login: receivers_login)
  end

end